Subject: Ticket Assigned - Return pick up order 9617011665 pending since November
From: Lifestyle <[email-masked]>
To: [email-masked]
Date: Sat, 30 Jan 2021 08:39:29 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Return pick up order 9617011665 pending since November Dear Team,

Could you please advise me whether you want to collect return or not. As I
am frustrated now to follow up constantly and no one showed up seriousness
on such a small issue. I was in impression that you have best reputation in
the uae market but facing worst technical support in the world now.

Please advise me what to be done otherwise I am going to find other legal
options. As upon every follow up I hearing only fake promises from you.

And if you don't want your item back then please proceed refund for the
item cost and take your time for collection.

Please reply asap.

Regards
Ganesh Rane
0553187456

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2034986